FLANG

Classes | Public Types | Public Member Functions | List of all members
Fortran::runtime::io::OpenFile Class Reference
Inheritance diagram for Fortran::runtime::io::OpenFile:

## Public Types
using | FileOffset = std::int64_t

## Public Member Functions
const char * | path () const
void | set_path (OwningPtr< char > &&, std::size_t bytes)
std::size_t | pathLength () const
bool | mayRead () const
void | set_mayRead (bool yes)
bool | mayWrite () const
void | set_mayWrite (bool yes)
bool | mayAsynchronous () const
void | set_mayAsynchronous (bool yes)
bool | mayPosition () const
void | set_mayPosition (bool yes)
FileOffset | position () const
bool | isTerminal () const
std::optional< FileOffset > | knownSize () const
bool | IsOpen () const
void | Open (OpenStatus, Position, IoErrorHandler &)
void | Predefine (int fd)
void | Close (CloseStatus, IoErrorHandler &)
std::size_t | Read (FileOffset, char *, std::size_t minBytes, std::size_t maxBytes, IoErrorHandler &)
std::size_t | Write (FileOffset, const char *, std::size_t, IoErrorHandler &)
void | Truncate (FileOffset, IoErrorHandler &)
int | ReadAsynchronously (FileOffset, char *, std::size_t, IoErrorHandler &)
int | WriteAsynchronously (FileOffset, const char *, std::size_t, IoErrorHandler &)
void | Wait (int id, IoErrorHandler &)
void | WaitAll (IoErrorHandler &)

The documentation for this class was generated from the following files:

- runtime/file.h
- runtime/file.cpp